Class AbstractDateSearcher
java.lang.Object
com.atlassian.jira.issue.search.searchers.impl.AbstractInitializationSearcher
com.atlassian.jira.issue.search.searchers.impl.AbstractDateSearcher
- All Implemented Interfaces:
IssueSearcher<SearchableField>
- Direct Known Subclasses:
CreatedDateSearcher,ResolutionDateSearcher,UpdatedDateSearcher
public class AbstractDateSearcher
extends AbstractInitializationSearcher
implements IssueSearcher<SearchableField>
A simple class that most date searchers will be able to extends to implement searching.
- Since:
- v4.0
-
Field Summary
Fields inherited from class com.atlassian.jira.issue.search.searchers.impl.AbstractInitializationSearcher
fieldReferenceFields inherited from interface com.atlassian.jira.issue.search.searchers.IssueSearcher
log -
Constructor Summary
ConstructorsConstructorDescriptionAbstractDateSearcher(SimpleFieldSearchConstants constants, String nameKey, Class<? extends FieldIndexer> indexer, DateConverter dateConverter, DateTimeConverter dateTimeConverter, JqlDateSupport dateSupport, JqlOperandResolver operandResolver, ApplicationProperties applicationProperties, VelocityRequestContextFactory velocityRenderContext, VelocityTemplatingEngine templatingEngine, CalendarLanguageUtil calendarUtils, FieldVisibilityManager fieldVisibilityManager, CustomFieldInputHelper customFieldInputHelper, TimeZoneManager timeZoneManager, DateTimeFormatterFactory dateTimeFormatterFactory) -
Method Summary
Modifier and TypeMethodDescriptionProvides an object that contains information about the Searcher.final SearchInputTransformerProvides an object that will allow you to transform raw request parameters to field holder values and field holder values toClausesearch representations.final SearchRendererProvides an object that will allow you to render the edit and view html for a searcher.Methods inherited from class com.atlassian.jira.issue.search.searchers.impl.AbstractInitializationSearcher
initMethods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitMethods inherited from interface com.atlassian.jira.issue.search.searchers.IssueSearcher
init
-
Constructor Details
-
AbstractDateSearcher
public AbstractDateSearcher(SimpleFieldSearchConstants constants, String nameKey, Class<? extends FieldIndexer> indexer, DateConverter dateConverter, DateTimeConverter dateTimeConverter, JqlDateSupport dateSupport, JqlOperandResolver operandResolver, ApplicationProperties applicationProperties, VelocityRequestContextFactory velocityRenderContext, VelocityTemplatingEngine templatingEngine, CalendarLanguageUtil calendarUtils, FieldVisibilityManager fieldVisibilityManager, CustomFieldInputHelper customFieldInputHelper, TimeZoneManager timeZoneManager, DateTimeFormatterFactory dateTimeFormatterFactory)
-
-
Method Details
-
getSearchInformation
Description copied from interface:IssueSearcherProvides an object that contains information about the Searcher.- Specified by:
getSearchInformationin interfaceIssueSearcher<SearchableField>- Returns:
- the search information provider for this searcher.
-
getSearchInputTransformer
Description copied from interface:IssueSearcherProvides an object that will allow you to transform raw request parameters to field holder values and field holder values toClausesearch representations.- Specified by:
getSearchInputTransformerin interfaceIssueSearcher<SearchableField>- Returns:
- the search input handler for this searcher.
-
getSearchRenderer
Description copied from interface:IssueSearcherProvides an object that will allow you to render the edit and view html for a searcher. This also provides methods that indicate if the view and edit methods should be invoked.- Specified by:
getSearchRendererin interfaceIssueSearcher<SearchableField>- Returns:
- the search renderer for this searcher.
-